glibmm: Gio::FilenameCompleter Class Reference

glibmm 2.38.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::FilenameCompleter Class Reference

Completes partial file and directory names given a partial string by looking in the file system for clues. More...

`#include <giomm/filenamecompleter.h>`

Inheritance diagram for Gio::FilenameCompleter:
[legend]

## Public Member Functions
virtual | ~FilenameCompleter ()
GFilenameCompleter* | gobj ()
| Provides access to the underlying C GObject. More...
const GFilenameCompleter* | gobj () const
| Provides access to the underlying C GObject. More...
GFilenameCompleter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
std::string | get_completion_suffix (const std::string& initial_text) const
| Obtains a completion for initial_text from completer. More...
Glib::StringArrayHandle | get_completions (const std::string& initial_text) const
| Gets an array of completion strings for a given initial text. More...
void | set_dirs_only (bool dirs_only=true)
| If dirs_only is `true`, completer will only complete directory names, and not file names. More...
Glib::SignalProxy0< void > | signal_got_completion_data ()
Public Member Functions inherited from Glib::Object
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase&value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase&value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType&value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType&value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr < FilenameCompleter > | create ()

## Protected Member Functions
| FilenameCompleter ()
virtual void | on_got_completion_data ()
| This is a default handler for the signal signal_got_completion_data(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::FilenameCompleter > | wrap (GFilenameCompleter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)

## Detailed Description

Completes partial file and directory names given a partial string by looking in the file system for clues.

Can return a list of possible completion strings for widget implementation.

Since glibmm 2.16:

## Constructor & Destructor Documentation

virtual Gio::FilenameCompleter::~FilenameCompleter | ( |  | ) |
| virtual

Gio::FilenameCompleter::FilenameCompleter | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<FilenameCompleter> Gio::FilenameCompleter::create | ( |  | ) |
| static

std::string Gio::FilenameCompleter::get_completion_suffix | ( | const std::string & | initial_text | ) | const

Obtains a completion for initial_text from completer.

Parameters

  initial_text | Text to be completed.

Returns
  A completed string, or `0` if no completion exists. This string is not owned by GIO, so remember to Glib::free() it when finished.

Glib::StringArrayHandle Gio::FilenameCompleter::get_completions | ( | const std::string & | initial_text | ) | const

Gets an array of completion strings for a given initial text.

Parameters

  initial_text | Text to be completed.

Returns
  Array of strings with possible completions for initial_text. This array must be freed by Glib::strfreev() when finished.

static GType Gio::FilenameCompleter::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GFilenameCompleter* Gio::FilenameCompleter::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GFilenameCompleter* Gio::FilenameCompleter::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GFilenameCompleter* Gio::FilenameCompleter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gio::FilenameCompleter::on_got_completion_data | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_got_completion_data().

void Gio::FilenameCompleter::set_dirs_only | ( | bool | dirs_only = `true` | ) |

If dirs_only is `true`, completer will only complete directory names, and not file names.

Parameters

  dirs_only | A `bool`.

Glib::SignalProxy0< void > Gio::FilenameCompleter::signal_got_completion_data | ( |  | ) |

Slot Prototype:
  `void on_my_got_completion_data()`

Emitted when the file name completion information comes available.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::FilenameCompleter > wrap | ( | GFilenameCompleter * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.